//stan2.10
data{
int y[4];
real point;
}
transformed data{
int N;
N=sum(y);
}
parameters{
simplex[4] p;
}

model{
y ~ multinomial(p);
}
generated quantities{
real P0;
real Pe;
real kappa;
real test;

P0=p[1]+p[4];
Pe=(p[1]+p[3])*(p[1]+p[2])+
    (p[3]+p[4])*(p[2]+p[4]);
kappa=(P0-Pe)/(1-Pe);
test=step(kappa-point); 
}