### N֐(Stan 2.11ȍ~)

library(rstan)

###############################################################
# xkCz

WR <- read.csv("data21_1.csv",header=T,fileEncoding="Shift_JIS")
head(WR)

# Stan
N <- nrow(WR)
edu <- WR$N
sex <- WR$
dis.a.gree <- WR$^

dat <- list(N=N,edu=edu,sex=sex,y=dis.a.gree)
mod<-"code21_1.stan"
war<-1000                
ite<-11000               
see<-12345              
dig<-3                  
cha<-4                  
pars <- c("b","a1","a2")
fit <- stan(file=mod,data=dat,pars=pars,iter=ite,chains=cha,seed=see)
print(fit,pars=pars,digits_summary=dig)


###############################################################
# |A\z

PS <- read.csv("data21_2.csv",header=T,fileEncoding="Shift_JIS")
PS
# |[v̔
# F1͖A2̓vZ{

N <- nrow(PS)
y <- PS$쐔
treat <- PS$
age <- PS$N
dat <- list(N=N,y=y,treat=treat,age=age)

mod<-"code21_2.stan"
war<-1000               
ite<-11000              
see<-12345            
dig<-3                 
cha<-4                
pars <- c("b","a1","a2")
fit <- stan(file=mod,data=dat,pars=pars,iter=ite,chains=cha,seed=see)
print(fit,pars=pars,digits_summary=dig)


###############################################################
# 2ziĕꐔj

source("data21_3.R")
dat<-list(N=N,y=y,x1=x1,x2=x2,x3=x3)
dat

mod<-"code21_3.stan"
war<-1000             
ite<-11000          
see<-12345       
dig<-3          
cha<-4          
pars <- c("b","a1","a2","a3","phi")
fit <- stan(file=mod,data=dat,pars=pars,iter=ite,chains=cha,seed=see)
print(fit,pars=pars,digits_summary=dig)

a1<-extract(fit)$a1;a2<-extract(fit)$a2;

mean(ifelse(a1>0,1,0))
mean(ifelse(a2>0,1,0))


###############################################################
# 2z

source("data21_4.R")
dat <- list(N=N,S=S,y=y,edu=edu,sex=sex)
dat

mod<-"code21_4.stan"
war<-1000                
ite<-11000               
see<-12345            
dig<-3                
cha<-4                
pars <- c("b","a1","a2","log_lik","OR_sex0","OR_sex1")
fit <- stan(file=mod, data=dat, pars=pars,iter=ite,chains=cha,seed=see)
print(fit,pars=c("b","a1","a2","OR_sex0","OR_sex1"),digits_summary=dig)

library(loo)
log_lik <- extract_log_lik(fit)
waic(log_lik)

OR_sex0 <- extract(fit)$OR_sex0
mean(ifelse(OR_sex0<1,1,0))

