#stan version 2.10
library(rstan)
library(crossdes)

###Data
source("data26.R")
N <- 200	#񓚎Ґ
H <- 20	#Ώۂ̐
J <- 20	#ݖ̐
M <- 4	#I̐
KK <- M*(M-1)
J2 <- J*2
makeComb <- matrix(0,J2,KK)
for(j in 1:J){makeComb[(2*j-1):(2*j),] <- t(permutations(n=M, r=2, v=SubSet[j,], repeats=FALSE))}
data01 <- list(N = N,H = H,J = J,J2 = J2, KK = KK,res = U, makeComb=makeComb)

###setting
war<-1000
ite<-5000
see<-1234
dig<-3
cha<-1


###stan
scr01 <- "code26.stan"
par<-c("theta","beta","sigma2_b")
myinits <- list(list(theta_inits = rep(0,N), b_inits = rep(0,H), tau_b = 1))
rt01 <- stanc(file = scr01, model_name = scr01, verbose=T)
sm01 <- stan_model(stanc_ret = rt01, verbose = FALSE)
fit01 <- sampling(sm01,data=data01,iter=ite,chains=cha,warmup=war, seed=see,pars=par,init=myinits)


###result
res01 <- summary(fit01)$summary
#round(res01,3)
theta_estS <- res01[grep("theta", rownames(res01)),1]
beta_estS <- res01[grep("beta", rownames(res01)),1]
sigma2_estS <- res01[grep("sigma2_b", rownames(res01)),1]