# rstan version 2.12.1

library("rstan")

#IGT

#####PQ҂̕
scr<-"code35_1.stan"
data<-read.csv("igtlog-haiden.csv",header=T)

T<-max(data$trialnum)
K<-4
y<-data$deck
W<-data$win
L<-(-1)*data$lose

scr<-"code35_1.stan"
dat<-list(T=T, K=K, y=y, W=W, L=L)
par<-c("w","a","c")

out<-"maxsamples.csv"  
war<-5000              
ite<-10000             @
see<-1234             @@
dig<-3                 
cha<-4                

fit<-stan(file=scr, model_name=scr, data=dat, pars=par,verbose=F, seed=see,
	 chains=cha, warmup=war, iter=ite)
print(fit,pars=par,digits_summary=dig)



#####Q҂̕

dat1<-read.csv("igtlog-yoshigami.csv",header=T)
dat2<-read.csv("igtlog-sugiyama.csv",header=T)
dat3<-read.csv("igtlog-isobe.csv",header=T)
dat4<-read.csv("igtlog-haiden.csv",header=T)
dat5<-read.csv("igtlog-ikehara.csv",header=T)
dat6<-read.csv("igtlog-kubo.csv",header=T)
dat7<-read.csv("igtlog-akiyama.csv",header=T)

T<-max(dat1$trialnum)
K<-4
N<-7
y<-structure(c(dat1$deck,dat2$deck,dat3$deck,dat4$deck,dat5$deck,dat6$deck,dat7$deck),.Dim=c(T,N))
W<-structure(c(dat1$win,dat2$win,dat3$win,dat4$win,dat5$win,dat6$win,dat7$win),.Dim=c(T,N))
L<-structure((-1)*c(dat1$lose,dat2$lose,dat3$lose,dat4$lose,dat5$lose,dat6$lose,dat7$lose),.Dim=c(T,N))
R<-matrix(c(
	1,0,0,
	0,1,0,
	0,0,1),3,3)

scr<-"code35_2.stan"
dat<-list(T=T, K=K, N=N, y=y, W=W, L=L, R=R)
par<-c("w","a","c","rho")

war<-5000              
ite<-10000             @
see<-1234            @@
dig<-3                 
cha<-1                

fit<-stan(file=scr, model_name=scr, data=dat, pars=par,verbose=F, seed=see,
	 chains=cha, warmup=war, iter=ite)
print(fit,pars=par,digits_summary=dig)









